import 'package:prompter_fl/src/option.dart';
import 'package:prompter_fl/src/terminal.dart';

final Terminal _terminal = const Terminal();

class Prompter {

  bool askBinary(String prompt) {
    final input = _ask('$prompt (y/n) ', null);

    return input.contains('y');
  }

  dynamic askWithOptions(String prompt, List<Option> options) {  
    final input = _ask(prompt, options);

    try {
      return options[int.parse(input)].value;
    } catch(error) {
      return askWithOptions(prompt, options);
    } 
  }

  String _ask(String prompt, List<Option> options) {
    _terminal.cleanScreen();
    _terminal.printPrompt(prompt);
    if(options != null) {
      _terminal.printOptions(options);
    }
    
    return _terminal.collectInput();
  }
}