import 'dart:io';

import 'package:prompter_fl/src/option.dart';

class Terminal {
  const Terminal();

  void printPrompt(String prompt) {
    stdout.write(prompt);
  }

  void printOptions(List<Option> options) {
    stdout.writeln('\n');

    options.asMap().forEach((index, option) {
      stdout.writeln('[${index}] - ${option.label}');
    });

    stdout.write('\nEnter a choice: ');
  }

  String collectInput() {
    return stdin.readLineSync();
  }

  void cleanScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}